<?php
// PukiWiki - Yet another WikiWikiWeb clone.
// $Id: pukiwiki.skin.php,v 1.41 2005/01/26 13:04:08 henoheno Exp $
//
// PukiWiki default skin

// SKIN_DEFAULT_DISABLE_TOPICPATH
//   1 = Show reload URL
//   0 = Show topicpath
if (! defined('SKIN_DEFAULT_DISABLE_TOPICPATH'))
	define('SKIN_DEFAULT_DISABLE_TOPICPATH', 0); // 1, 0

// Show / Hide navigation bar UI at your choice
// NOTE: This is not stop their functionalities!
if (! defined('PKWK_SKIN_SHOW_NAVBAR'))
	define('PKWK_SKIN_SHOW_NAVBAR', 1); // 1, 0

// Show / Hide toolbar UI at your choice
// NOTE: This is not stop their functionalities!
if (! defined('PKWK_SKIN_SHOW_TOOLBAR'))
	define('PKWK_SKIN_SHOW_TOOLBAR', 1); // 1, 0

// ----
// Prohibit direct access
if (! defined('UI_LANG')) die('UI_LANG is not set');
if (! isset($_LANG)) die('$_LANG is not set');
if (! defined('PKWK_READONLY')) die('PKWK_READONLY is not set');

$lang  = & $_LANG['skin'];
$link  = & $_LINK;
$image = & $_IMAGE['skin'];
$rw	= ! PKWK_READONLY;

// Output HTML DTD, <html>, and receive content-type
if (isset($pkwk_dtd)) {
	$meta_content_type = pkwk_output_dtd($pkwk_dtd);
} else {
	$meta_content_type = pkwk_output_dtd();
}

?>
<head>
	<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
	<meta http-equiv="content-style-type" content="text/css" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title><?php echo $title ?> - <?php echo $page_title ?></title>
	<link rel="stylesheet" href="./skin/pukiwiki.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="./skin/print.css" type="text/css" media="print" />
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php echo $link['rss'] ?>" />
	<link rel="shortcut icon" href="./skin/favicon.ico" >
	<script type="text/javascript" src="./exlink.inc.js"></script>
	<?php echo $head_tag ?>
</head>
<body width="100%">
	<div id="main">
		<div id="leftbar">
			<div class="menubar">
				<div align="center" style="margin-bottom:8px; "><a href="./"><img src="/skin/logo.png" width="140" height="140" /></a></div>
				<?php
				// <h5>twitterをフォロー</h5>
				// <li><a href="https://www.twitter.com/TwitterJP"><img src="https://twitter-badges.s3.amazonaws.com/twitter-b.png" alt="当サイトアカウントをフォローしましょう"/></a></li>
				// <li>当サイトの更新通知や関連情報をtwitterでつぶやきます。</li>
				?>
				<h5>サイト内検索</h5>
				<form action="./?cmd=search" method="post">
					<input type="hidden" name="cmd" value="search" />
					<input type="hidden" name="encode_hint" value="ぷ" />
					<input type="text" name="word" value="" size="18" tabindex="1" />
					<br />
					<select name="type" tabindex="2">
						<option id="_p_search_AND" value="AND" selected="selected">AND検索</option>
						<option id="_p_search_OR" value="OR">OR検索</option>
					</select>
					<input type="submit" value="検索" tabindex="3" />
				</form>
				<li><a href="./?cmd=sitemap">サイトマップ(XML)</a></li>
				<h5>Amazon書籍検索</h5>
				<li><a href="https://www.amazon.co.jp/gp/redirect.html?ie=UTF8&amp;location=http%3A%2F%2Fwww.amazon.co.jp%2F&amp;tag=eniki-22&amp;linkCode=ur2&amp;camp=247&amp;creative=1211" target="_blank">Amazon.co.jp</a></li>
				<form action="https://www.amazon.co.jp/gp/associates/link-types/searchbox.html" method="get" name="search" target="_top">
					<input type="hidden" name="tag" value="sample-22" />
					<input type="hidden" name="creative" value="2131" />
					<input type="hidden" name="campaign" value="483" />
					<input type="hidden" name="__mk_ja_JP" value="カタカナ" />
					<input type="hidden" name="mode" value="blended" />
					<input id="keyword" name="keyword" type="text" size="18" />
					<input id="button" type="submit" value="Amazon検索" name="Submit" alt="Amazon検索" />
				</form>
				<?php 
				// <h5>特設リンク</h5>
				// <li><a href="./">リンク1</a></li>
				// <li><a href="./">リンク1</a></li>
				// <li><a href="./">リンク1</a></li>
				// <li><a href="./">リンク1</a></li>
				// <h5>分類別リンク</h5>
				// <li><a href="./">リンク1</a></li>
				// <h5>このサイトについて</h5>
				// <li><a href="./?cmd=list">全ページ一覧</a></li>
				// <li><a href="./">広告掲載について</a></li>
				?>
			<?php if (arg_check('read') && exist_plugin_convert('menu')) { ?>
				<p><?php echo do_plugin_convert('menu') ?></p>
			<?php } ?>
			</div>
		</div>
		<div id="rightbar"> <!-- 右側バー -->
			<div class="menubar">
			</div>
		</div>
		<div id="mainbar">
			<div class="body">
				<p style="line-height:1.2em;margin:8px 0px;"><a href="./">トップ</a>  <a href="./?cmd=search">検索</a>  <a href="./?cmd=list">一覧</a>  <a href="./?RecentChanges">最終更新</a>
				</p>
				<h1 class="title"><?php echo $title ; /* echo リンクを有効にしたい場合は$titleでなく$pageを利用 */ ?></h1>

				<?php if ($is_page) { ?>
					<?php if(SKIN_DEFAULT_DISABLE_TOPICPATH) { ?>
						<a href="<?php echo $link['reload'] ?>"><span class="small"><?php echo $link['reload'] ?></span></a>
					<?php } else { ?>
						<span class="small">
							<?php require_once(PLUGIN_DIR . 'topicpath.inc.php'); echo plugin_topicpath_inline(); ?>
						</span>
						<hr />
					<?php } ?>
				<?php } ?>

			</div>

			<?php if (arg_check('read') && exist_plugin_convert('menu')) { ?>
				<div class="body"><?php echo $body ?></div>
			<?php } else { ?>
				<div class="body"><?php echo $body ?></div>
			<?php } ?>
			
			<?php if ($notes != '') { ?>
				<div id="note"><?php echo $notes ?></div>
			<?php } ?>
			<?php if ($attaches != '') { ?>
				<div class="body">
					<div id="attach"> <?php echo $hr ?> <?php echo $attaches ?></div>
				</div>
			<?php } ?>
				<div class="adsense">



				</div>
			<?php if ($related != '') { ?>
			<div class="body"><h2>このページに関連するページ</h2>
				<p><?php echo $related ?></p>
			</div>
			<?php } ?>
			<div class="body">
				<hr />
				<?php if ($lastmodified != '') { ?>
				最終更新：<?php echo $lastmodified ?>
				<?php } ?>
				<?php require_once(PLUGIN_DIR.'counter.inc.php');plugin_counter_convert(); echo $counters[$page]['today']; /* counterプラグイン*/ ?>
			</div>
		</div>
	</div>
<hr />
<?php if (PKWK_SKIN_SHOW_TOOLBAR) { ?>
<!-- Toolbar -->
<div id="footer">
	<?php
			
			// Set toolbar-specific images
			$_IMAGE['skin']['reload']   = 'reload.png';
			$_IMAGE['skin']['new']	  = 'new.png';
			$_IMAGE['skin']['edit']	 = 'edit.png';
			$_IMAGE['skin']['freeze']   = 'freeze.png';
			$_IMAGE['skin']['unfreeze'] = 'unfreeze.png';
			$_IMAGE['skin']['diff']	 = 'diff.png';
			$_IMAGE['skin']['upload']   = 'file.png';
			$_IMAGE['skin']['copy']	 = 'copy.png';
			$_IMAGE['skin']['rename']   = 'rename.png';
			$_IMAGE['skin']['top']	  = 'top.png';
			$_IMAGE['skin']['list']	 = 'list.png';
			$_IMAGE['skin']['search']   = 'search.png';
			$_IMAGE['skin']['recent']   = 'recentchanges.png';
			$_IMAGE['skin']['backup']   = 'backup.png';
			$_IMAGE['skin']['help']	 = 'help.png';
			$_IMAGE['skin']['rss']	  = 'rss.png';
			$_IMAGE['skin']['rss10']	= & $_IMAGE['skin']['rss'];
			$_IMAGE['skin']['rss20']	= 'rss20.png';
			$_IMAGE['skin']['rdf']	  = 'rdf.png';
			
			function _toolbar($key, $x = 20, $y = 20){
				$lang  = & $GLOBALS['_LANG']['skin'];
				$link  = & $GLOBALS['_LINK'];
				$image = & $GLOBALS['_IMAGE']['skin'];
				if (! isset($lang[$key]) ) { echo 'LANG NOT FOUND';  return FALSE; }
				if (! isset($link[$key]) ) { echo 'LINK NOT FOUND';  return FALSE; }
				if (! isset($image[$key])) { echo 'IMAGE NOT FOUND'; return FALSE; }
			
				echo '<a href="' . $link[$key] . '">' .
					'<img src="' . IMAGE_DIR . $image[$key] . '" width="' . $x . '" height="' . $y . '" ' .
						'alt="' . $lang[$key] . '" title="' . $lang[$key] . '" />' .
					'</a>';
				return TRUE;
			}
			?>
	<?php _toolbar('top') ?>
	<?php if ($is_page) { ?>
	&nbsp;
	<?php if ($rw) { ?>
	<?php _toolbar('edit') ?>
	<?php if ($is_read && $function_freeze) { ?>
	<?php if (! $is_freeze) { _toolbar('freeze'); } else { _toolbar('unfreeze'); } ?>
	<?php } ?>
	<?php } ?>
	<?php _toolbar('diff') ?>
	<?php if ($do_backup) { ?>
	<?php _toolbar('backup') ?>
	<?php } ?>
	<?php if ($rw) { ?>
	<?php if ((bool)ini_get('file_uploads')) { ?>
	<?php _toolbar('upload') ?>
	<?php } ?>
	<?php _toolbar('copy') ?>
	<?php _toolbar('rename') ?>
	<?php } ?>
	<?php _toolbar('reload') ?>
	<?php } ?>
	&nbsp;
	<?php if ($rw) { ?>
	<?php _toolbar('new') ?>
	<?php } ?>
	<?php _toolbar('list')   ?>
	<?php _toolbar('search') ?>
	<?php _toolbar('recent') ?>
	&nbsp;
	<?php _toolbar('help') ?>
	<p>ウェブサイト管理者: <a href="<?php echo $modifierlink ?>"><?php echo $modifier ?></a>. <?php echo S_COPYRIGHT ?>. Powered by PHP <?php echo PHP_VERSION ?>. HTML convert time: <?php echo $taketime ?> sec.</p>
</div>
<?php } // PKWK_SKIN_SHOW_TOOLBAR ?>

</body>
</html>